Application: gvSIG desktop - gvSIG bugs #870
Eliminar uso de Converter de la clase MapControl
07/11/2012 11:13 AM - Joaquin del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category:

Target version: 2.0.0-beta1l

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

En la clase MapControl se esta usando la clase Converter de geometrias que no forma parte del API, habria que eliminar esa
dependencia y ver si lo que se hace se puede hacer con el APl de geometrias actual o hay que introducir algun cambio en el.

History

#1 - 08/29/2012 01:48 PM - Juan Lucas Dominguez
- Assignee changed from Cesar Ordifiana to Juan Lucas Dominguez

Salvo (al menos) usos en Equidistance y Split (son mas complejos, habra operation para ellos)
Usar API de Geometry (métodos y operations)

#2 - 08/30/2012 11:21 AM - Juan Lucas Dominguez
- Status changed from New to Fixed

gvsig-desktop:r38802

Removed unnecessary references to deprecated class Converter (must not be used as part of Geometry API).

#3 - 08/30/2012 02:15 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2052

#4 - 10/10/2012 02:15 PM - Maria Maluenda
- Status changed from Fixed to Under review

Need instructionsin order to check the bugfix

#5 - 10/10/2012 02:15 PM - Maria Maluenda

Need instructions in order to check the bugfix
#6 - 10/10/2012 02:45 PM - Juan Lucas Dominguez
- Status changed from Under review to New
- Target version changed from 2.0.0-devel-2052 to 2.0.0-rc1

#7 - 10/10/2012 02:46 PM - Juan Lucas Dominguez
- Status changed from New to Fixed

Sorry, | forgot the instructions.

You can test it with 2056:

- add a SHP layer, start editing mode

- Enable the snapping (if it is not active)
- If the snapping works (the cursor "falls" to a near vertex or line) then you can close this bug bacause the code associated with snapping has changed

#8 - 10/10/2012 02:50 PM - Juan Lucas Dominguez

- Target version changed from 2.0.0-rc1 to 2.0.0-betat

#9 - 12/18/2012 02:05 PM - Abenchara Socorro

- Status changed from Fixed to Closed

Closed in build 2061 RC2

05/18/2024 22



